Opened 5 months ago

Closed 5 months ago

Last modified 5 months ago

#14777 closed defect (fixed)

MM: "Might and Magic: World of Xeen" doesn't work after update from 2.7.1 to 2.8.0

Reported by: skid0033 Owned by: lotharsm
Priority: normal Component: Port: Win64
Version: Keywords: worldofxeen Game-Engine
Cc: skid0033 Game: Might and Magic: World of Xeen

Description

On ScummVM Release 2.7.1 "Might and Magic: World of Xeen" worked fine. English as well as German Version.
I performend an update to ScummVM 2.8.0.
Now ScummVM rejects launching with the message "Konnte keine Spiele-Engine finden, die dieses Spiel starten kann".

Windows 10 64-bit (Microsoft Windows [Version 10.0.19045.3803])

ScummVM 2.8.0 (Dec 17 2023 16:15:14)
Using SDL backend with SDL 2.0.14
Features compiled in: Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora VPX AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar TTS cloud (servers, local) ENet SDL2 TinyGL OpenGL (with shaders)

Attachments (2)

settings.jpg (69.4 KB ) - added by skid0033 5 months ago.
error.jpg (17.8 KB ) - added by skid0033 5 months ago.

Download all attachments as: .zip

Change History (8)

by skid0033, 5 months ago

Attachment: settings.jpg added

by skid0033, 5 months ago

Attachment: error.jpg added

comment:1 by antoniou79, 5 months ago

Indeed, this is a known issue that we didn't catch before release. Due to a misconfiguration, the MM engine for the Might and Magic games was not included in the release builds for 2.8.0.

The issue has been fixed in the source code tree, and the *next* official ScummVM release (be it a potential bugfix 2.8.1 or 2.9.0) will include the engine again.

comment:2 by antoniou79, 5 months ago

Summary: "Might and Magic: World of Xeen" doesn't work after update from 2.7.1 to 2.8.0MM: "Might and Magic: World of Xeen" doesn't work after update from 2.7.1 to 2.8.0

comment:3 by lotharsm, 5 months ago

Owner: set to lotharsm
Resolution: fixed
Status: newclosed

comment:4 by skid0033, 5 months ago

Thanks a lot for the information :). Looking forward to the next release (or try a Nightly Build).

comment:5 by lotharsm, 5 months ago

If you want, you can install this version:

https://scummvm.serra.me/scummvm-snapshot-2.8.1pre-general-win32.exe

This is a build that will eventually evolve into 2.8.1 and contains the fixes included so far, which also contains the MM engine fix.

Simply install it again with this version and you should be good to go. However, you might have to manually update to 2.8.1 once it is released since the auto-updater won't notice that there's a new version once you installed this one.

comment:6 by skid0033, 5 months ago

Thanks a lot, it works perfect :).

Note: See TracTickets for help on using tickets.